org.modeshape.jboss.subsystem

## Class ModeShapeRepositoryResource

- java.lang.Object
- - org.jboss.as.controller.SimpleResourceDefinition
  - - org.modeshape.jboss.subsystem.ModeShapeRepositoryResource

- All Implemented Interfaces:
    org.jboss.as.controller.access.management.ConstrainedResourceDefinition, org.jboss.as.controller.ResourceDefinition

      public class ModeShapeRepositoryResource
      extends org.jboss.as.controller.SimpleResourceDefinition

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ModeShapeRepositoryResource` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)`

    - ### Methods inherited from class org.jboss.as.controller.SimpleResourceDefinition

      `getAccessConstraints, getDescriptionProvider, getFlagsSet, getPathElement, getResourceDescriptionResolver, registerAddOperation, registerAddOperation, registerChildren, registerOperations, registerRemoveOperation, registerRemoveOperation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          protected static final ModeShapeRepositoryResource INSTANCE

  - ### Method Detail

    - #### registerAttributes

          public void registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration resourceRegistration)

      Specified by:
        `registerAttributes` in interface `org.jboss.as.controller.ResourceDefinition`
      Overrides:
        `registerAttributes` in class `org.jboss.as.controller.SimpleResourceDefinition`
      See Also:
        `SimpleResourceDefinition.registerAttributes(org.jboss.as.controller.registry.ManagementResourceRegistration)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.